Qt 5.11 | Qt Core | C++ Classes | QModelIndex

Qt 5.11.3 Reference Documentation

# Obsolete Members for QModelIndex

The following members of class QModelIndex are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` QModelIndex | child(int row, int column) const

## Member Function Documentation

### QModelIndex QModelIndex::child(int row, int column) const

Use QAbstractItemModel::index() instead.

Returns the child of the model index that is stored in the given row and column.

Note: This function does not work for an invalid model index which is often used as the root index.

See also parent() and sibling().